/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.EventQueue;
import java.awt.GraphicsEnvironment;
import java.awt.Rectangle;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JWindow;
import javax.swing.border.Border;

/**
 * 
 * @author Thomas Abeel
 * 
 */
public class Splash extends JDialog {

	private static final long serialVersionUID = 2469220030126994849L;

	private JLabel text = null;

	public Splash() {
		super(null, ModalityType.APPLICATION_MODAL);
		this.setUndecorated(true);
		
		JPanel content = new JPanel();
		content.setBackground(Color.WHITE);
		content.setLayout(new BorderLayout());
		floater = new JLabel(new ImageIcon(this.getClass().getResource("/images/splash.png")));
		text = new JLabel("Starting GenomeView...");
		Rectangle bounds = GraphicsEnvironment.getLocalGraphicsEnvironment().getMaximumWindowBounds();

		// this.setAlwaysOnTop(true);
		Border emptyBorder = BorderFactory.createEmptyBorder(5, 5, 5, 5);
		Border colorBorder = BorderFactory.createLineBorder(Color.BLACK);
		content.setBorder(BorderFactory.createCompoundBorder(colorBorder, emptyBorder));
		content.add(floater, BorderLayout.CENTER);
		content.add(text, BorderLayout.SOUTH);
		this.setContentPane(content);
		pack();
		this.setLocation(bounds.x + bounds.width / 2 - floater.getWidth() / 2,
				bounds.y + bounds.height / 2 - floater.getHeight() / 2);
		final JDialog _self=this;
		EventQueue.invokeLater(new Runnable() {

			@Override
			public void run() {
				_self.setVisible(true);

			}
		});

	}

	private JLabel floater = new JLabel();

	public void setText(String string) {
		text.setText(string);

	}

}
