/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.components;

import javax.swing.JComboBox;

import net.sf.jannot.Strand;

/**
 * Extension of a combobox to select a strand
 * 
 * @author Thomas Abeel
 * 
 */
public class StrandCombo extends JComboBox {

    private static final long serialVersionUID = 629278192407282224L;

    public StrandCombo() {
        for (Strand s : Strand.values())
            addItem(s);
    }

    public Strand getStrand() {
        return (Strand)this.getSelectedItem();
    }

}
