/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.dialog;

import java.awt.Window;

import javax.swing.JLabel;

import net.sf.genomeview.core.Icons;
import net.sf.genomeview.gui.components.OverlayListener;
/**
 * 
 * @author Thomas Abeel
 *
 */
public class HelpButton extends JLabel {

	private static final long serialVersionUID = -7184331819811186958L;

	public HelpButton(final Window parent, final String message) {
		super(Icons.HELP);
		super.addMouseListener(new OverlayListener(message));
	}

}
