/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.menu.edit;

import java.awt.event.ActionEvent;
import java.util.Observable;

import javax.swing.KeyStroke;

import net.sf.genomeview.data.Model;
import net.sf.genomeview.gui.StaticUtils;
import net.sf.genomeview.gui.menu.AbstractModelAction;


public class SplitFeatureAction extends AbstractModelAction {

    /**
     * 
     */
    private static final long serialVersionUID = -3265609839659200956L;

    public SplitFeatureAction(Model model) {
        super("Split feature between two selected locations", model);
        super.putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke("control U"));
    }

    public void actionPerformed(ActionEvent e) {
        if (isEnabled())
            StaticUtils.splitFeature(model).setVisible(true);

    }

    @Override
    public void update(Observable o, Object arg) {
        setEnabled(model.selectionModel().getFeatureSelection() != null && model.selectionModel().getFeatureSelection().size() == 1
                && model.selectionModel().getLocationSelection() != null && model.selectionModel().getLocationSelection().size() == 2);

    }

}
