/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.menu.edit;

import java.awt.event.ActionEvent;
import java.util.Observable;

import javax.swing.ImageIcon;
import javax.swing.KeyStroke;

import net.sf.genomeview.data.Model;
import net.sf.genomeview.gui.menu.AbstractModelAction;


/**
 * Action to zoom in on the chromosome view.
 * 
 * @author thpar
 *
 */
public class UndoAction extends AbstractModelAction{


    private static final long serialVersionUID = -1318894389028565654L;


    public UndoAction(Model model2) {
        super("Undo", new ImageIcon(model2.getClass().getResource("/images/undo.png")), model2);
        super.putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke("control Z"));
    }

    public void actionPerformed(ActionEvent arg0) {
    	model.undo();
    }
    
    @Override
    public void update(Observable o, Object arg) {
        setEnabled(model.hasUndo());
        super.putValue(SHORT_DESCRIPTION, model.getUndoDescription());
    }
    
}
