/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.menu.file;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.KeyStroke;

import net.sf.genomeview.data.Model;
import net.sf.genomeview.gui.dialog.OpenDialog;

/**
 * 
 * @author Thomas Abeel
 * 
 */
public class LoadFeaturesAction extends AbstractAction {

	private static final long serialVersionUID = 4601582100774593419L;

	private Model model;

	public LoadFeaturesAction(Model model) {
		super("Load data...");
		super.putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke("control O"));
		this.model = model;

	}

	public void actionPerformed(ActionEvent arg0) {
		new OpenDialog(model.getGUIManager().getParent(), model);

	}
}
